# TableUpdate::execute

(No version information available, might only be in Git)

TableUpdate::execute — Execute update query

### Description

public mysql_xdevapi\TableUpdate::execute ( void ) : mysql_xdevapi\TableUpdate

Executes the update statement.

### Parameters

This function has no parameters.

### Return Values

A TableUpdate object.

### Examples

Example #1 mysql_xdevapi\TableUpdate::execute() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
$res = $table->update()
->set('level', 3)
->where('age > 15 and age < 22')
->limit(4)
->orderby(['age asc','name desc'])
->execute();
?>`